Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_USER_API_KEY]/activities?page=5 - will return results from the 5th set of results/activities?per_page=40 - will return 40 results per page instead of the default 20/activities?types=incident_commented,incident_snoozed - will return only comment and snooze activity/activities?types=incident_created,incident_resolved_ui_manually,incident_resolved_api,incident_resolved_by_alerts,incident_reopen - will return only opening and closing activity for the incident.incident_resolved_api activity type.curl --location 'https://api.bigpanda.io/resources/v2.0/incidents//activities?page=&per_page=&types=' \
--header 'Authorization: Bearer <token>'[
{
"id": "161b4dc6c33740283e5416b0e6d6c70b",
"type": "incident_shared",
"timestamp": 1643700751,
"created_by": "61950bc8c481fd1100abc3a3",
"params": {
"share_target": "webhook.whtest",
"share_auto": false,
"escalation_id": "61f8e20e89325b001201b9a3",
"firstTime": true
}
}
]